import { IDisposable } from "../../Interfaces/IDisposable";
export declare class OuterShadow implements IDisposable {
    private _size;
    private _baseTexture;
    private _scene;
    private _shadow;
    private _shadowBlurX;
    private _shadowBlurY;
    private _shadowMove;
    constructor(baseTexture: BABYLON.Texture, size: number, config: MPlaza.OuterShadowConfig, scene: BABYLON.Scene);
    private updateParameters;
    private wrapPi;
    dispose(): void;
    getOuterShadowTextureAsync(baseTexture: BABYLON.Texture): Promise<BABYLON.ProceduralTexture>;
    updateAsync(baseTexture: BABYLON.Texture, config?: MPlaza.OuterShadowConfig): Promise<void>;
}
